//
//  SingletonSampleAppDelegate.m
//  SingletonSample
//
//  Created by Y on 10/06/14.
//  Copyright Cobalt Users Group 2010. All rights reserved.
//

#import "SingletonSampleAppDelegate.h"
#import "SingletonSampleViewController.h"
#import "SingletonManager.h"  // 対象オブジェクトの定義を見せないと使えない

@implementation SingletonSampleAppDelegate

@synthesize window;
@synthesize viewController;


- (void)applicationDidFinishLaunching:(UIApplication *)application {    

	// シングルトンオブジェクトの初期化（意識的にシングルトンの初期的な作成をさせて結果を捨てる）
	(void)[SingletonManager sharedManager];	

    [window addSubview:viewController.view];
    [window makeKeyAndVisible];
}


- (void)dealloc {
	SingletonManager *single = [SingletonManager sharedManager]; // センサーオブジェクトを取得
	[single dealloc]; // オブジェクトを抹消

    [viewController release];
    [window release];
    [super dealloc];
}


@end
